Premios = {

	gravar : function(){
		
		var form = new FormData(document.getElementById('premios'));

        $.ajax({
            type:   		'POST',
            url:    		BASE_URL + 'premios/gravar',
            data:   		form,
            cache:			false,
            contentType: 	false,
			processData: 	false,
            success: function(d){

                if (d) {
                    alert('Premio cadastrado com sucesso!');
					location.href= BASE_URL + 'premios/cadastrar';
                }

            }
        });

    },
    
    listar : function(){
	
		$.ajax({
			type:		'POST',
			url:		 BASE_URL + 'premios/listar',
			dataType:	'json',
			data:		{
				prod_titulo: $('#prod_titulo').val()
			},
			success: function(data){
		
				var html = '';
		
				$.each(data, function(k, v){
					
					html += '<tr>';
					html += '	<td><img src="' + BASE_URL + 'assets/images/produtos/' + v.prod_img + '" style="height: 80px" /></td>';
					html += '	<td>' + v.prod_titulo + '</td>';
					html += '	<td>' + v.prod_pontos + '</td>';
					html += '	<td>';
					html += '		<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#modal" onclick="$(\'#resg_prod_id\').val(' + v.prod_id + '); $(\'#resg_pontos\').val(' + v.prod_pontos + ')">';
					html += '			<i class="fa fa-plus"></i>';
					html += '		</button>';
					html += '		<button type="button" class="btn btn-danger" onclick="Premios.remover(' + v.prod_id + ')">';
					html += '			<i class="fa fa-trash"></i>';
					html += '		</button>';
					html += '	</td>';
					html += '</tr>';
					
				});
				
				$('#listar_premios').html(html);
				
		
			}
		});
	
	},
	
	remover : function(id){
	
		if (confirm('Tem certeza que deseja remover este produto?'))
		{
			
			$.ajax({
				type:		'POST',
				url:		BASE_URL + 'premios/remover/' + id,
				dataType:	'json',
				success: function(data){
			
					if (data)
					{
						Premios.listar();
						alert('Prêmio removido');
					}
					
			
				}
			});
			
		}
		
	
	},
	
	resgatar : function(id){
	
		if (confirm('Tem certeza que deseja RESGATAR este prêmio?'))
		{
			
			$.ajax({
				type:		'POST',
				url:		BASE_URL + 'premios/resgatar',
				dataType:	'json',
				data: {
					cli_cpf: 	$('#cli_cpf').val(),
					prod_id: 	$('#resg_prod_id').val(), 
					pontos:		$('#resg_pontos').val()
				},
				success: function(data){
			
					alert(data.msg);
					location.href=BASE_URL+'premios/buscar';
					
			
				}
			});
			
		}
	
	}

}
